> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Recharge Account

> Validate a customer recharge account before placing an order



## OpenAPI

````yaml api-reference/vaas-services-openapi.json POST /vaas/api/v1/biller-reseller/validate-account
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/biller-reseller/validate-account:
    post:
      tags:
        - Biller Reseller
        - Biller Reseller
      summary: Validate Recharge Account
      description: >-
        Validate a customer recharge account (e.g. betting account ID) before
        placing an order.


        **Sandbox valid test accounts:**

        | recharge_account | Account Name |

        |---|---|

        | `1234567890` | John Doe |

        | `0987654321` | Jane Smith |

        | `1111111111` | Test User One |

        | `2222222222` | Test User Two |

        | `3333333333` | Test User Three |


        Any other recharge_account will return `null` for the biller field in
        sandbox mode.
      operationId: validate_account_vaas_api_v1_biller_reseller_validate_account_post
      parameters:
        - name: api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
        - name: api-secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Secret
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateAccountRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateAccountResponseSchema'
        '404':
          description: Biller not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                  data:
                    type: 'null'
                  timestamp:
                    type: string
                    format: date-time
                type: object
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '424':
          description: Unable to reach upstream service
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                  data:
                    type: 'null'
                  timestamp:
                    type: string
                    format: date-time
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                  data:
                    type: 'null'
                  timestamp:
                    type: string
                    format: date-time
                type: object
components:
  schemas:
    ValidateAccountRequestSchema:
      properties:
        recharge_account:
          type: string
          maxLength: 15
          title: Recharge Account
        biller_id:
          type: string
          maxLength: 64
          pattern: ^[a-zA-Z0-9_\-]+$
          title: Biller Id
        item_id:
          anyOf:
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_\-]+$
            - type: 'null'
          title: Item Id
      additionalProperties: false
      type: object
      required:
        - recharge_account
        - biller_id
      title: ValidateAccountRequestSchema
    ValidateAccountResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          $ref: '#/components/schemas/ValidateAccountDataSchema'
      type: object
      required:
        - status
        - message
        - data
      title: ValidateAccountResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidateAccountDataSchema:
      properties:
        biller:
          anyOf:
            - type: string
            - type: 'null'
          title: Biller
      type: object
      title: ValidateAccountDataSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````